#!/bin/bash
set -x

if [ -z ${CI_BUILD_TAG+x} ]; then
	echo "Tag name not found"
	exit 1;
fi
if [ -z ${CI_PROJECT_NAME+x} ]; then
	echo "Project name not found"
	exit 1;
fi

delim="-"
file_ext=".tar.gz"
file=$CI_PROJECT_NAME$delim$CI_BUILD_TAG$file_ext
current_dir=`pwd`
release_dir="/dist/"
release_file=$current_dir$release_dir$file

smbclient //proxy/files 4738tax -U tkl -c "mkdir python ; cd python ; mkdir $CI_PROJECT_NAME ; cd $CI_PROJECT_NAME ; put $release_file $file"
